<?php

namespace Drupal\course_uc\Plugin\RulesAction;

use Drupal\rules\Core\RulesActionBase;
use Drupal\uc_order\OrderInterface;
use function course_uc_enroll_user_in_ordered_courses;

/**
 * Provides an 'Enroll user in ordered courses' action.
 *
 * @RulesAction(
 *   id = "course_uc_enroll_user_in_ordered_courses",
 *   label = @Translation("Enroll user in ordered courses"),
 *   category = @Translation("Order"),
 *   context_definitions = {
 *     "order" = @ContextDefinition("entity:uc_order",
 *       label = @Translation("Order")
 *     ),
 *   }
 * )
 */
class EnrollUserInOrderedCourses extends RulesActionBase {

  /**
   * Adds a comment to an order.
   *
   * @param OrderInterface $order
   *   The order object.
   * @param string $comment
   *   Text of the comment.
   * @param string $comment_type
   *   One of 'admin' or 'order'.
   */
  protected function doExecute(OrderInterface $order) {
    course_uc_enroll_user_in_ordered_courses($order);
  }

}
